# SideLoader Extended Effects  v1.1.4

Adds a collection of custom SL_Effect behaviours for use with SideLoader.

Currently [this list](https://github.com/Grim-/SideLoader_ExtendedEffects/blob/main/Documentation.md) is small but requests are welcome.

For example this library adds the SL_PlayAssetBundleVFX allowing you to spawn custom VFX Prefabs bundled in Unity.


[Documentation](https://github.com/Grim-/SideLoader_ExtendedEffects/blob/main/Documentation.md) is always the most up-to date version of what is available, if there's an update check there or the 
[GitHub ](https://github.com/Grim-/SideLoader_ExtendedEffects)page to see whats new.

```xml
<SL_Effect xsi:type="SL_PlayAssetBundleVFX">
  <Delay>0</Delay>
  <SyncType>OwnerSync</SyncType>
  <OverrideCategory>None</OverrideCategory>
  <SLPackName>MySLPack</SLPackName>
  <AssetBundleName>MyAssetBundleName</AssetBundleName>
  <PrefabName>NameOfPrefabInAssetBundle</PrefabName>
  <PositionOffset>
      <x>0</x>
      <y>0</y>
      <z>0</z>
  </PositionOffset>
  <RotationOffset>
      <x>0</x>
      <y>0</y>
      <z>0</z>
  </RotationOffset>
  <ParentToAffected>true</ParentToAffected>
  <LifeTime>0</LifeTime>
</SL_Effect>

```


[Emo](https://github.com/Grim-/), [Faeryn](https://github.com/Faeryn) & [Dan](https://github.com/dansze).


[ChangeLog](https://github.com/Grim-/SideLoader_ExtendedEffects/blob/main/README.md)